import { readdirSync } from "fs";

import { Router } from "express";

import { cleanFileName } from "../utils/cleanFile";

const kegRouteDynamic = ( path: string, router: Router ) => {

    readdirSync(path).filter(fileName => {

        const cleanName: string | undefined = cleanFileName(fileName); 

        if(cleanName !== 'index') {
            import(`./${cleanName}`).then(modelRouter => {
                router.use(`/${cleanName}`, modelRouter.router);
            })
        }

    });

}

export { kegRouteDynamic };